| ## pdb2gmx Main Table of Contents | VERSION 4.0 Sun 18 Jan 2009

### Description

This program reads a pdb file, reads some database files, adds hydrogens to the molecules and generates coordinates in Gromacs (Gromos) format and a topology in Gromacs format. These files can subsequently be processed to generate a run input file.

The force fields in the distribution are currently:

oplsaa OPLS-AA/L all-atom force field (2001 aminoacid dihedrals)
G43b1 GROMOS96 43b1 Vacuum Forcefield
G43a1 GROMOS96 43a1 Forcefield
G43a2 GROMOS96 43a2 Forcefield (improved alkane dihedrals)
G45a3 GROMOS96 45a3 Forcefield
G53a5 GROMOS96 53a5 Forcefield
G53a6 GROMOS96 53a6 Forcefield
gmx Gromacs Forcefield (a modified GROMOS87, see manual)
encads Encad all-atom force field, using scaled-down vacuum charges
encadv Encad all-atom force field, using full solvent charges

The corresponding data files can be found in the library directory with names like ffXXXX.YYY. Check chapter 5 of the manual for more information about file formats. By default the forcefield selection is interactive, but you can use the `-ff` option to specify one of the short names above on the command line instead. In that case pdb2gmx just looks for the corresponding file.

Note that a pdb file is nothing more than a file format, and it need not necessarily contain a protein structure. Every kind of molecule for which there is support in the database can be converted. If there is no support in the database, you can add it yourself.

The program has limited intelligence, it reads a number of database files, that allow it to make special bonds (Cys-Cys, Heme-His, etc.), if necessary this can be done manually. The program can prompt the user to select which kind of LYS, ASP, GLU, CYS or HIS residue she wants. For LYS the choice is between LYS (two protons on NZ) or LYSH (three protons, default), for ASP and GLU unprotonated (default) or protonated, for HIS the proton can be either on ND1 (HISA), on NE2 (HISB) or on both (HISH). By default these selections are done automatically. For His, this is based on an optimal hydrogen bonding conformation. Hydrogen bonds are defined based on a simple geometric criterium, specified by the maximum hydrogen-donor-acceptor angle and donor-acceptor distance, which are set by `-angle` and `-dist` respectively.

Option `-merge` will ask if you want to merge consecutive chains into one molecule definition, this can be useful for connecting chains with a disulfide brigde or intermolecular distance restraints.

pdb2gmx will also check the occupancy field of the pdb file. If any of the occupanccies are not one, indicating that the atom is not resolved well in the structure, a warning message is issued. When a pdb file does not originate from an X-Ray structure determination all occupancy fields may be zero. Either way, it is up to the user to verify the correctness of the input data (read the article!).

During processing the atoms will be reordered according to Gromacs conventions. With `-n` an index file can be generated that contains one group reordered in the same way. This allows you to convert a Gromos trajectory and coordinate file to Gromos. There is one limitation: reordering is done after the hydrogens are stripped from the input and before new hydrogens are added. This means that you should not use `-ignh`.

The `.gro` and `.g96` file formats do not support chain identifiers. Therefore it is useful to enter a pdb file name at the `-o` option when you want to convert a multichain pdb file.

The option `-vsite` removes hydrogen and fast improper dihedral motions. Angular and out-of-plane motions can be removed by changing hydrogens into virtual sites and fixing angles, which fixes their position relative to neighboring atoms. Additionally, all atoms in the aromatic rings of the standard amino acids (i.e. PHE, TRP, TYR and HIS) can be converted into virtual sites, elminating the fast improper dihedral fluctuations in these rings. Note that in this case all other hydrogen atoms are also converted to virtual sites. The mass of all atoms that are converted into virtual sites, is added to the heavy atoms.

Also slowing down of dihedral motion can be done with `-heavyh` done by increasing the hydrogen-mass by a factor of 4. This is also done for water hydrogens to slow down the rotational motion of water. The increase in mass of the hydrogens is subtracted from the bonded (heavy) atom so that the total mass of the system remains the same.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `eiwit.pdb` | Input | Structure file: gro g96 pdb tpr tpb tpa
`-o` | `conf.gro` | Output | Structure file: gro g96 pdb
`-p` | `topol.top` | Output | Topology file
`-i` | `posre.itp` | Output | Include file for topology
`-n` | `clean.ndx` | Output, Opt. | Index file
`-q` | `clean.pdb` | Output, Opt. | Structure file: gro g96 pdb

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-[no]merge` | bool | `no` | Merge chains into one molecule definition
`-ff` | string | `select` | Force field, interactive by default. Use -h for information.
`-water` | enum | `spc` | Water model to use: with GROMOS we recommend SPC, with OPLS, TIP4P: `spc`, `spce`, `tip3p`, `tip4p`, `tip5p` or `f3c`
`-[no]inter` | bool | `no` | Set the next 8 options to interactive
`-[no]ss` | bool | `no` | Interactive SS bridge selection
`-[no]ter` | bool | `no` | Interactive termini selection, iso charged
`-[no]lys` | bool | `no` | Interactive Lysine selection, iso charged
`-[no]arg` | bool | `no` | Interactive Arganine selection, iso charged
`-[no]asp` | bool | `no` | Interactive Aspartic Acid selection, iso charged
`-[no]glu` | bool | `no` | Interactive Glutamic Acid selection, iso charged
`-[no]gln` | bool | `no` | Interactive Glutamine selection, iso neutral
`-[no]his` | bool | `no` | Interactive Histidine selection, iso checking H-bonds
`-angle` | real | `135` | Minimum hydrogen-donor-acceptor angle for a H-bond (degrees)
`-dist` | real | `0.3` | Maximum donor-acceptor distance for a H-bond (nm)
`-[no]una` | bool | `no` | Select aromatic rings with united CH atoms on Phenylalanine, Tryptophane and Tyrosine
`-[no]ignh` | bool | `no` | Ignore hydrogen atoms that are in the pdb file
`-[no]missing` | bool | `no` | Continue when atoms are missing, dangerous
`-[no]v` | bool | `no` | Be slightly more verbose in messages
`-posrefc` | real | `1000` | Force constant for position restraints
`-vsite` | enum | `none` | Convert atoms to virtual sites: `none`, `hydrogens` or `aromatics`
`-[no]heavyh` | bool | `no` | Make hydrogen atoms heavy
`-[no]deuterate` | bool | `no` | Change the mass of hydrogens to 2 amu

http://www.gromacs.org
gromacs@gromacs.org